package com.ruoyi.web.stock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

public class WarehouseAccountingGuide extends BaseEntity {
    private Long id;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date bizDate;
    private String sheetNo;
    private String delFlag;
    private String orgId;
    private List<WarehouseAccountingGuideGoods> goodsList;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public Date getBizDate() { return bizDate; }
    public void setBizDate(Date bizDate) { this.bizDate = bizDate; }
    public String getSheetNo() { return sheetNo; }
    public void setSheetNo(String sheetNo) { this.sheetNo = sheetNo; }
    public String getDelFlag() { return delFlag; }
    public void setDelFlag(String delFlag) { this.delFlag = delFlag; }
    public String getOrgId() { return orgId; }
    public void setOrgId(String orgId) { this.orgId = orgId; }
    public List<WarehouseAccountingGuideGoods> getGoodsList() { return goodsList; }
    public void setGoodsList(List<WarehouseAccountingGuideGoods> goodsList) { this.goodsList = goodsList; }
}

